function kVe(a){this.a=a}
function rVe(a,b){xUe(a.a,b)}
function sVe(a,b){wUe(a.a,b)}
function Ytk(){j$e(this.b,new kVe(this))}
function L_e(a){var b;if(!a.d){b=new tVe;a.d=b}return a.d}
function K_e(a){var b;if(!a.c){b=new iVe(FFd(Cce(a.a)),L_e(a),J_e(a),(Roj(iee(a.a)),IMg(wde(a.a))),U1i(gee(a.a)));RFd((Dce(a.a),b),OGd(Dce(a.a)));a.c=b}return a.c}
function tVe(){this.a=new yUe($2j);vUe(this.a,(EYd(),'A named network interface, along with required criteria for determining the IP address to associate with that interface.'))}
function iVe(a,b,d,e){var g,i,j;vGd.call(this,a,b,d);this.c=e;g=new P8i;g.b=new omj;this.b=new k$e(g);j=new g1i(Llb);i=new T0i(Llb,(WBh(),RBh).Nc(Llb),VBh.Nc(Llb));this.a=new YUe(j,i);WUe(this.a,this)}
I3c(2115,1008,izj,iVe);_.Al=function(){var a;a=new P8i;a.b=new omj;return a};_.Bl=Ytk;_.Si=function(){rVe(this.A,this.a)};_.Xi=Ytk;_._i=function(){Ovf(this.c,this)};I3c(2116,1295,{},kVe);_.fh=function(a){sVe(this.a.A,a)};I3c(2119,1412,hzj,tVe);_.Ch=function(){return uUe(this.a)};I3c(2229,1,Qzj);_.ud=function(){nHd(this.b,K_e(this.a.a))};var hkb=lOd(2115),ekb=lOd(2116),ikb=lOd(2119);CAj(mp)(9);